curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/services/{serviceId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"id": "123#jessica.jones@addresss.com",
"identityId": "AHF5GF12",
"username": "jessia-jones",
"displayName": "Jessia Jones",
"email": "jessica.jones@address.com",
"roles": [
"Member",
"Admin"
],
"status": "active",
"employeeStatus": "active",
"employeeType": "collaborator",
"employeeManagementType": "system",
"twoFa": true,
"uniqueKey": "unique_key",
"lastActivity": "Mon Jan 24 2022 13:20:31 GMT+0900 (Japan Standard Time)",
"isInactive": false,
"licenses": [
"Basic",
"Basic Plus",
"Pro",
"Business"
],
"workspace": {
"id": 1,
"organizationId": 1,
"serviceId": 1,
"authenType": "api",
"workspaceName": "iggre",
"aggreKey": "iggre",
"lastExecutionStatus": "processing",
"lastExecutionTime": "2020-11-11 10:00:00",
"lastUsedAt": "2020-11-11 10:00:00",
"lastExecutionResultId": "SUCCESS",
"lastExecutionResultCode": 200,
"lastExecutionResultMessage": "NOT_FOUND",
"provisioningCredentialEnabled": false,
"description": "Description of the workspace",
"showDescription": false,
"isCustomWorkspace": false,
"deviceAggregationStatus": "finished",
"service": {
"id": 1,
"name": "Google",
"uniqueName": "google",
"url": "https://google.com",
"isEmployeeMasterService": true,
"adminUrl": "https://admin.google.com/u/0/ac/home",
"userManagementUrl": "https://admin.google.com/u/0/ac/users",
"serviceTopUrl": "https://workspace.google.com/products/admin/",
"guidanceUrl": "https://notion.link/google",
"serviceAlternateUrls": [
"www.slides.google.com",
"www.docs.google.com",
"www.sheets.google.com"
],
"aggreTypes": [
{
"name": "aggregateAll",
"authenTypes": [
{
"name": "oauth",
"requiredAttributes": [
"username",
"password"
],
"optionalAttributes": [
"secretKey"
],
"permittedAttributes": [
"aggreKey"
],
"separatelyUpdatableAttributes": [
"groups"
],
"permissions": [
"read-write",
"read"
],
"variant": "enterprisePlan"
}
]
}
],
"canDeleteAccount": false,
"canDeactivateAccount": false,
"canAggregateSpend": false,
"canAggregateFiles": false,
"canManageFilePermissions": false,
"canOnlyAggregatePublicFiles": false,
"canAggregateDevices": false,
"canPerformMatching": true,
"canProvisionAccount": false,
"isCustomService": false,
"isIdentityProvider": false,
"serviceMeta": {
"id": 1,
"vendorName": "Example Vendor",
"vendorCountryOfOrigin": "Japan",
"termsOfUseUrl": "https://example.com",
"privacyPolicyUrl": "https://example.com",
"dataSecurityPolicyUrl": "https://example.com",
"certifications": [
{
"name": "Example",
"url": "https://example.com"
}
]
}
},
"workspaceMeta": {
"id": 1,
"workspaceId": 1,
"organizationId": 1,
"note": "Example note",
"businessImpactLevel": "low",
"dataStoreRegion": "ap-northeast-1",
"piiEnabled": false,
"pii": "Example note",
"confidentialInfo": "confidential",
"securityImpactLevel": "low",
"vendorName": "Example Vendor",
"vendorRelationship": "Example Vendor Relationship",
"vendorPhone": "12345567890",
"vendorMailAddress": "Example Vendor Mail address"
},
"billingManagers": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"peopleInCharge": [
{
"id": 1,
"avatar": "avatar",
"displayName": "Example name",
"primaryEmail": "Example email"
}
],
"creator": {
"id": 1,
"email": "foo.bar@example.com",
"name": "foo.bar",
"location": "jp",
"roles": [
{
"id": 1,
"name": "Admin"
}
],
"status": "active"
},
"accountCount": 123,
"identityProviderWorkspaceId": 123,
"customWorkspaceType": "google_sheet"
},
"identity": {},
"memo": "This account belongs to Jessica",
"relatedIdentities": {
"identityHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
},
"managerHolder": {
"id": "<string>",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com"
}
},
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"alertType": [
"retired_account"
]
}
]
}List all SaaS accounts of a service
List all SaaS accounts of a service.
Pagination: Cursor-based
承認
クエリパラメータ
Limit the number of results returned. Maximum 200.
x <= 20050
Cursor to paginate through results.
Partial match for name or email address.
Sort results by a specific field.
service, twoFa, lastActivity Sort results in ascending or descending order. Defaults to ASC.
DESC, ASC Filter results by workspaceIds. Accepts multiple options.
[1]Filter results by two-factor authentication availability.
Filter results by role (not all SaaS support this filter).admin - only SaaS admin accountsguest - only SaaS guest accountsother - SaaS accounts that are neither admin nor guest. Accepts multiple options.
admin, guest, other Filter results by role in the SaaS. Accepts multiple options.
["role1", "role2"]Filter results by type. Accepts multiple options.
employee, guest, system, unknown Filter results by type. Accepts multiple options.
board_member, full_time_employee, fixed_time_employee, temporary_employee, part_time_employee, secondment_employee, contract_employee, collaborator, group_address, shared_address, test_address, other, unknown, unregistered Filter results by status. Accepts multiple options.
active, suspended, on_leave Filter results by type. Accepts multiple options.
active, on_leave, draft, preactive, retired, untracked Some services contain accounts marked as deleted. By default this API does not return those accounts. Setting this flag to true will override the default behavior.
All people accounts are linked to an identity. By default this API does not return the related identity. Setting this flag to true will override the default behavior.
Show accounts that have been inactive for a while
Filter results by license. Accepts multiple options.
["license1", "license2"]Filter results by alert type. Required when alertStatus is set.
retired_account, inactive_account, on_leave_account, unknown_account, public_files Filter results by alert status.
muted, unmuted Whether to include account memos in the response
Filter results by workspaceId. Note: please use workspaceIds instead, this property is deprecated and will be removed in a future version.
Filter results by status. Note: please use statuses instead, this property is deprecated and will be removed in a future version.
active, suspended, on_leave このページは役に立ちましたか?

